Skip to content

Payment Card Authorization

Payment Card Authorization

Request

Travelport’s NextGenAPI Payment Authorization Service allows the user to request credit card authorizations, address validations and reversals against a specific merchant vendor.

Security
bearerAuth
Path
authTypestringrequired

Type of PaymentCardAuthorizationRequest - authorization, address verification, reversal

Enum:"AUTH""REVS""VALD""AAVS"
Headers
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
Accept-Encodingstringrequired

Comma-separated list of acceptable encodings like gzip and/or deflate

Example:gzip, deflate
Bodyapplication/jsonrequired
@typestringrequired

Discriminator class PaymentCardAuthorizationQueryRequest only

Example:"PaymentCardAuthorizationQueryRequest"
authTypestring(AuthorizationTypeEnum)

This object contains type of Authorization

Enum:"AUTH""REVS""VALD""AAVS"
Example:"AUTH"
PaymentCardRequestobject(PaymentCardRequest)
curl -i -X POST \
  'https://developer.travelport.com/_mock/apis/pay/paymentcardauthorizations/{authType}' \
  -H 'Accept-Encoding: gzip, deflate' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
  -d '{
    "@type": "PaymentCardAuthorizationQueryRequest",
    "PaymentCardRequest": {
      "@type": "PaymentCardRequest",
      "airlineMerchantCode": "AA",
      "expireDate": "1223",
      "agentSignOn": "ABC123BZ",
      "localDateTime": "2026-09-82T09:45:00",
      "paymentCardCode": "VI",
      "PrimaryAccountNumber": "4012001037141112",
      "CurrencyAmount": {
        "value": 130,
        "code": "USD"
      },
      "AgencyPCCDetail": {
        "@type": "AgencyPCC",
        "StateProv": "CO",
        "PostalCode": "12345",
        "agencyCode": "91212132",
        "pseudoCityCode": "1CR",
        "country": "US",
        "codeAffinity": "1A",
        "Currency": {
          "value": 22.2,
          "code": "USD"
        },
        "City": {
          "value": "DEN",
          "cityOrAirport": "City or Airport"
        }
      },
      "PromotionCode": {
        "promotionCode": "SUMMER22",
        "promotionVendorCode": [
          "300",
          "234",
          "657"
        ]
      }
    }
  }'

Responses

OK - Successful Response - 200

Bodyapplication/json
PaymentCardAuthorizationResponseobject(PaymentCardAuthorizationResponse)

The response of Payment card authorization endpoint request.

Response
{ "PaymentCardAuthorizationResponse": { "PaymentCardAuthorization": { "@type": "PaymentCardAuthorization", "id": "63", "Identifier": {}, "PaymentCardAuthorizationRef": "string", "completionCode": "0", "approvalCode": "235", "avsResult": "G", "securityResult": "C", "completionCodeDescription": "OK", "avsResultDescription": "Address not verified for International transaction (International only)", "securityResultDescription": "CVV2 Match", "PrimaryAccountNumber": "444111000222" }, "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "48fb4cd3-2ef6-4479-bea1-7c92721b988c", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [], "Warning": [] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "string", "id": "5", "NextStep": [] }, "ReferenceList": [ {} ], "CurrencyRateConversion": [ {} ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }